## org.eclipse.ocl.utilities
Interface PredefinedType<O>

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  AnyType<O>, AnyType, AnyType, BagType<C,O>, BagType, BagType, CollectionType<C,O>, CollectionType, CollectionType, InvalidType<O>, InvalidType, InvalidType, MessageType<C,O,P>, MessageType, MessageType, OrderedSetType<C,O>, OrderedSetType, OrderedSetType, PrimitiveType<O>, PrimitiveType, PrimitiveType, SequenceType<C,O>, SequenceType, SequenceType, SetType<C,O>, SetType, SetType, TupleType<O,P>, TupleType, TupleType, TypeType<C,O>, TypeType, TypeType, VoidType<O>, VoidType, VoidType

All Known Implementing Classes:
  AnyTypeImpl, AnyTypeImpl, AnyTypeImpl, BagTypeImpl, BagTypeImpl, BagTypeImpl, CollectionTypeImpl, CollectionTypeImpl, CollectionTypeImpl, InvalidTypeImpl, InvalidTypeImpl, InvalidTypeImpl, MessageTypeImpl, MessageTypeImpl, MessageTypeImpl, OrderedSetTypeImpl, OrderedSetTypeImpl, OrderedSetTypeImpl, PrimitiveTypeImpl, PrimitiveTypeImpl, PrimitiveTypeImpl, SequenceTypeImpl, SequenceTypeImpl, SequenceTypeImpl, SetTypeImpl, SetTypeImpl, SetTypeImpl, TupleTypeImpl, TupleTypeImpl, TupleTypeImpl, TypeTypeImpl, TypeTypeImpl, TypeTypeImpl, VoidTypeImpl, VoidTypeImpl, VoidTypeImpl

    public interface PredefinedType<O>

extends EObject

A representation of the model object 'Predefined Type'.

See Also:
  `UtilitiesPackage.getPredefinedType()`

Field Summary
`static int` `ABS`
`static String` `ABS_NAME`
`static int` `ALL_INSTANCES`
`static String` `ALL_INSTANCES_NAME`
`static int` `AND`
`static String` `AND_NAME`
`static int` `ANY`
`static String` `ANY_NAME`
`static int` `APPEND`
`static String` `APPEND_NAME`
`static int` `AS_BAG`
`static String` `AS_BAG_NAME`
`static int` `AS_ORDERED_SET`
`static String` `AS_ORDERED_SET_NAME`
`static int` `AS_SEQUENCE`
`static String` `AS_SEQUENCE_NAME`
`static int` `AS_SET`
`static String` `AS_SET_NAME`
`static int` `AT`
`static String` `AT_NAME`
`static int` `CLOSURE`
`static String` `CLOSURE_NAME`
`static int` `COLLECT`
`static String` `COLLECT_NAME`
`static int` `COLLECT_NESTED`
`static String` `COLLECT_NESTED_NAME`
`static int` `CONCAT`
`static String` `CONCAT_NAME`
`static int` `COUNT`
`static String` `COUNT_NAME`
`static int` `DIV`
`static String` `DIV_NAME`
`static int` `DIVIDE`
`static String` `DIVIDE_NAME`
`static int` `EQUAL`
`static String` `EQUAL_NAME`
`static int` `EXCLUDES`
`static int` `EXCLUDES_ALL`
`static String` `EXCLUDES_ALL_NAME`
`static String` `EXCLUDES_NAME`
`static int` `EXCLUDING`
`static String` `EXCLUDING_NAME`
`static int` `EXISTS`
`static String` `EXISTS_NAME`
`static int` `FIRST`
`static String` `FIRST_NAME`
`static int` `FLATTEN`
`static String` `FLATTEN_NAME`
`static int` `FLOOR`
`static String` `FLOOR_NAME`
`static int` `FOR_ALL`
`static String` `FOR_ALL_NAME`
`static int` `GREATER_THAN`
`static int` `GREATER_THAN_EQUAL`
`static String` `GREATER_THAN_EQUAL_NAME`
`static String` `GREATER_THAN_NAME`
`static int` `HAS_RETURNED`
`static String` `HAS_RETURNED_NAME`
`static int` `IMPLIES`
`static String` `IMPLIES_NAME`
`static int` `INCLUDES`
`static int` `INCLUDES_ALL`
`static String` `INCLUDES_ALL_NAME`
`static String` `INCLUDES_NAME`
`static int` `INCLUDING`
`static String` `INCLUDING_NAME`
`static int` `INDEX_OF`
`static String` `INDEX_OF_NAME`
`static int` `INSERT_AT`
`static String` `INSERT_AT_NAME`
`static int` `INTERSECTION`
`static String` `INTERSECTION_NAME`
`static int` `IS_EMPTY`
`static String` `IS_EMPTY_NAME`
`static int` `IS_OPERATION_CALL`
`static String` `IS_OPERATION_CALL_NAME`
`static int` `IS_SIGNAL_SENT`
`static String` `IS_SIGNAL_SENT_NAME`
`static int` `IS_UNIQUE`
`static String` `IS_UNIQUE_NAME`
`static int` `LAST`
`static String` `LAST_NAME`
`static int` `LESS_THAN`
`static int` `LESS_THAN_EQUAL`
`static String` `LESS_THAN_EQUAL_NAME`
`static String` `LESS_THAN_NAME`
`static int` `MAX`
`static String` `MAX_NAME`
`static int` `MIN`
`static String` `MIN_NAME`
`static int` `MINUS`
`static String` `MINUS_NAME`
`static int` `MOD`
`static String` `MOD_NAME`
`static int` `NOT`
`static int` `NOT_EMPTY`
`static String` `NOT_EMPTY_NAME`
`static int` `NOT_EQUAL`
`static String` `NOT_EQUAL_NAME`
`static String` `NOT_NAME`
`static int` `OCL_AS_TYPE`
`static String` `OCL_AS_TYPE_NAME`
`static int` `OCL_IS_IN_STATE`
`static String` `OCL_IS_IN_STATE_NAME`
`static int` `OCL_IS_INVALID`
`static String` `OCL_IS_INVALID_NAME`
`static int` `OCL_IS_KIND_OF`
`static String` `OCL_IS_KIND_OF_NAME`
`static int` `OCL_IS_NEW`
`static String` `OCL_IS_NEW_NAME`
`static int` `OCL_IS_TYPE_OF`
`static String` `OCL_IS_TYPE_OF_NAME`
`static int` `OCL_IS_UNDEFINED`
`static String` `OCL_IS_UNDEFINED_NAME`
`static int` `ONE`
`static String` `ONE_NAME`
`static int` `OR`
`static String` `OR_NAME`
`static int` `PLUS`
`static String` `PLUS_NAME`
`static int` `PREPEND`
`static String` `PREPEND_NAME`
`static int` `PRODUCT`
`static String` `PRODUCT_NAME`
`static int` `REJECT`
`static String` `REJECT_NAME`
`static int` `RESULT`
`static String` `RESULT_NAME`
`static int` `ROUND`
`static String` `ROUND_NAME`
`static int` `SELECT`
`static String` `SELECT_NAME`
`static int` `SIZE`
`static String` `SIZE_NAME`
`static int` `SORTED_BY`
`static String` `SORTED_BY_NAME`
`static int` `SUB_ORDERED_SET`
`static String` `SUB_ORDERED_SET_NAME`
`static int` `SUB_SEQUENCE`
`static String` `SUB_SEQUENCE_NAME`
`static int` `SUBSTRING`
`static String` `SUBSTRING_NAME`
`static int` `SUM`
`static String` `SUM_NAME`
`static int` `SYMMETRIC_DIFFERENCE`
`static String` `SYMMETRIC_DIFFERENCE_NAME`
`static int` `TIMES`
`static String` `TIMES_NAME`
`static int` `TO_INTEGER`
`static String` `TO_INTEGER_NAME`
`static int` `TO_LOWER`
`static String` `TO_LOWER_NAME`
`static int` `TO_REAL`
`static String` `TO_REAL_NAME`
`static int` `TO_UPPER`
`static String` `TO_UPPER_NAME`
`static int` `UNION`
`static String` `UNION_NAME`
`static int` `XOR`
`static String` `XOR_NAME`

Method Summary
`String` `getName()` If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...
`EList<O>` `oclOperations()` If the meaning of the 'Operations' reference list isn't clear, there really should be more of a description here...

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### PLUS_NAME

    static final String PLUS_NAME

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### MINUS_NAME

    static final String MINUS_NAME

See Also:
  Constant Field Values

### TIMES

    static final int TIMES

See Also:
  Constant Field Values

### TIMES_NAME

    static final String TIMES_NAME

See Also:
  Constant Field Values

### DIVIDE

    static final int DIVIDE

See Also:
  Constant Field Values

### DIVIDE_NAME

    static final String DIVIDE_NAME

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### AND_NAME

    static final String AND_NAME

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### NOT_NAME

    static final String NOT_NAME

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### OR_NAME

    static final String OR_NAME

See Also:
  Constant Field Values

### IMPLIES

    static final int IMPLIES

See Also:
  Constant Field Values

### IMPLIES_NAME

    static final String IMPLIES_NAME

See Also:
  Constant Field Values

### ABS

    static final int ABS

See Also:
  Constant Field Values

### ABS_NAME

    static final String ABS_NAME

See Also:
  Constant Field Values

### DIV

    static final int DIV

See Also:
  Constant Field Values

### DIV_NAME

    static final String DIV_NAME

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### MOD_NAME

    static final String MOD_NAME

See Also:
  Constant Field Values

### MAX

    static final int MAX

See Also:
  Constant Field Values

### MAX_NAME

    static final String MAX_NAME

See Also:
  Constant Field Values

### MIN

    static final int MIN

See Also:
  Constant Field Values

### MIN_NAME

    static final String MIN_NAME

See Also:
  Constant Field Values

### SIZE

    static final int SIZE

See Also:
  Constant Field Values

### SIZE_NAME

    static final String SIZE_NAME

See Also:
  Constant Field Values

### CONCAT

    static final int CONCAT

See Also:
  Constant Field Values

### CONCAT_NAME

    static final String CONCAT_NAME

See Also:
  Constant Field Values

### SUBSTRING

    static final int SUBSTRING

See Also:
  Constant Field Values

### SUBSTRING_NAME

    static final String SUBSTRING_NAME

See Also:
  Constant Field Values

### TO_INTEGER

    static final int TO_INTEGER

See Also:
  Constant Field Values

### TO_INTEGER_NAME

    static final String TO_INTEGER_NAME

See Also:
  Constant Field Values

### TO_REAL

    static final int TO_REAL

See Also:
  Constant Field Values

### TO_REAL_NAME

    static final String TO_REAL_NAME

See Also:
  Constant Field Values

### XOR

    static final int XOR

See Also:
  Constant Field Values

### XOR_NAME

    static final String XOR_NAME

See Also:
  Constant Field Values

### FLOOR

    static final int FLOOR

See Also:
  Constant Field Values

### FLOOR_NAME

    static final String FLOOR_NAME

See Also:
  Constant Field Values

### ROUND

    static final int ROUND

See Also:
  Constant Field Values

### ROUND_NAME

    static final String ROUND_NAME

See Also:
  Constant Field Values

### TO_LOWER

    static final int TO_LOWER

See Also:
  Constant Field Values

### TO_LOWER_NAME

    static final String TO_LOWER_NAME

See Also:
  Constant Field Values

### TO_UPPER

    static final int TO_UPPER

See Also:
  Constant Field Values

### TO_UPPER_NAME

    static final String TO_UPPER_NAME

See Also:
  Constant Field Values

### ALL_INSTANCES

    static final int ALL_INSTANCES

See Also:
  Constant Field Values

### ALL_INSTANCES_NAME

    static final String ALL_INSTANCES_NAME

See Also:
  Constant Field Values

### EQUAL

    static final int EQUAL

See Also:
  Constant Field Values

### EQUAL_NAME

    static final String EQUAL_NAME

See Also:
  Constant Field Values

### NOT_EQUAL

    static final int NOT_EQUAL

See Also:
  Constant Field Values

### NOT_EQUAL_NAME

    static final String NOT_EQUAL_NAME

See Also:
  Constant Field Values

### OCL_AS_TYPE

    static final int OCL_AS_TYPE

See Also:
  Constant Field Values

### OCL_AS_TYPE_NAME

    static final String OCL_AS_TYPE_NAME

See Also:
  Constant Field Values

### OCL_IS_KIND_OF

    static final int OCL_IS_KIND_OF

See Also:
  Constant Field Values

### OCL_IS_KIND_OF_NAME

    static final String OCL_IS_KIND_OF_NAME

See Also:
  Constant Field Values

### OCL_IS_TYPE_OF

    static final int OCL_IS_TYPE_OF

See Also:
  Constant Field Values

### OCL_IS_TYPE_OF_NAME

    static final String OCL_IS_TYPE_OF_NAME

See Also:
  Constant Field Values

### OCL_IS_UNDEFINED

    static final int OCL_IS_UNDEFINED

See Also:
  Constant Field Values

### OCL_IS_UNDEFINED_NAME

    static final String OCL_IS_UNDEFINED_NAME

See Also:
  Constant Field Values

### OCL_IS_INVALID

    static final int OCL_IS_INVALID

See Also:
  Constant Field Values

### OCL_IS_INVALID_NAME

    static final String OCL_IS_INVALID_NAME

See Also:
  Constant Field Values

### LESS_THAN

    static final int LESS_THAN

See Also:
  Constant Field Values

### LESS_THAN_NAME

    static final String LESS_THAN_NAME

See Also:
  Constant Field Values

### GREATER_THAN

    static final int GREATER_THAN

See Also:
  Constant Field Values

### GREATER_THAN_NAME

    static final String GREATER_THAN_NAME

See Also:
  Constant Field Values

### LESS_THAN_EQUAL

    static final int LESS_THAN_EQUAL

See Also:
  Constant Field Values

### LESS_THAN_EQUAL_NAME

    static final String LESS_THAN_EQUAL_NAME

See Also:
  Constant Field Values

### GREATER_THAN_EQUAL

    static final int GREATER_THAN_EQUAL

See Also:
  Constant Field Values

### GREATER_THAN_EQUAL_NAME

    static final String GREATER_THAN_EQUAL_NAME

See Also:
  Constant Field Values

### OCL_IS_NEW

    static final int OCL_IS_NEW

See Also:
  Constant Field Values

### OCL_IS_NEW_NAME

    static final String OCL_IS_NEW_NAME

See Also:
  Constant Field Values

### OCL_IS_IN_STATE

    static final int OCL_IS_IN_STATE

See Also:
  Constant Field Values

### OCL_IS_IN_STATE_NAME

    static final String OCL_IS_IN_STATE_NAME

See Also:
  Constant Field Values

### HAS_RETURNED

    static final int HAS_RETURNED

See Also:
  Constant Field Values

### HAS_RETURNED_NAME

    static final String HAS_RETURNED_NAME

See Also:
  Constant Field Values

### RESULT

    static final int RESULT

See Also:
  Constant Field Values

### RESULT_NAME

    static final String RESULT_NAME

See Also:
  Constant Field Values

### IS_SIGNAL_SENT

    static final int IS_SIGNAL_SENT

See Also:
  Constant Field Values

### IS_SIGNAL_SENT_NAME

    static final String IS_SIGNAL_SENT_NAME

See Also:
  Constant Field Values

### IS_OPERATION_CALL

    static final int IS_OPERATION_CALL

See Also:
  Constant Field Values

### IS_OPERATION_CALL_NAME

    static final String IS_OPERATION_CALL_NAME

See Also:
  Constant Field Values

### COUNT

    static final int COUNT

See Also:
  Constant Field Values

### COUNT_NAME

    static final String COUNT_NAME

See Also:
  Constant Field Values

### EXCLUDES

    static final int EXCLUDES

See Also:
  Constant Field Values

### EXCLUDES_NAME

    static final String EXCLUDES_NAME

See Also:
  Constant Field Values

### EXCLUDES_ALL

    static final int EXCLUDES_ALL

See Also:
  Constant Field Values

### EXCLUDES_ALL_NAME

    static final String EXCLUDES_ALL_NAME

See Also:
  Constant Field Values

### INCLUDES

    static final int INCLUDES

See Also:
  Constant Field Values

### INCLUDES_NAME

    static final String INCLUDES_NAME

See Also:
  Constant Field Values

### INCLUDES_ALL

    static final int INCLUDES_ALL

See Also:
  Constant Field Values

### INCLUDES_ALL_NAME

    static final String INCLUDES_ALL_NAME

See Also:
  Constant Field Values

### IS_EMPTY

    static final int IS_EMPTY

See Also:
  Constant Field Values

### IS_EMPTY_NAME

    static final String IS_EMPTY_NAME

See Also:
  Constant Field Values

### NOT_EMPTY

    static final int NOT_EMPTY

See Also:
  Constant Field Values

### NOT_EMPTY_NAME

    static final String NOT_EMPTY_NAME

See Also:
  Constant Field Values

### PRODUCT

    static final int PRODUCT

See Also:
  Constant Field Values

### PRODUCT_NAME

    static final String PRODUCT_NAME

See Also:
  Constant Field Values

### SUM

    static final int SUM

See Also:
  Constant Field Values

### SUM_NAME

    static final String SUM_NAME

See Also:
  Constant Field Values

### AS_BAG

    static final int AS_BAG

See Also:
  Constant Field Values

### AS_BAG_NAME

    static final String AS_BAG_NAME

See Also:
  Constant Field Values

### AS_ORDERED_SET

    static final int AS_ORDERED_SET

See Also:
  Constant Field Values

### AS_ORDERED_SET_NAME

    static final String AS_ORDERED_SET_NAME

See Also:
  Constant Field Values

### AS_SEQUENCE

    static final int AS_SEQUENCE

See Also:
  Constant Field Values

### AS_SEQUENCE_NAME

    static final String AS_SEQUENCE_NAME

See Also:
  Constant Field Values

### AS_SET

    static final int AS_SET

See Also:
  Constant Field Values

### AS_SET_NAME

    static final String AS_SET_NAME

See Also:
  Constant Field Values

### EXCLUDING

    static final int EXCLUDING

See Also:
  Constant Field Values

### EXCLUDING_NAME

    static final String EXCLUDING_NAME

See Also:
  Constant Field Values

### FLATTEN

    static final int FLATTEN

See Also:
  Constant Field Values

### FLATTEN_NAME

    static final String FLATTEN_NAME

See Also:
  Constant Field Values

### INCLUDING

    static final int INCLUDING

See Also:
  Constant Field Values

### INCLUDING_NAME

    static final String INCLUDING_NAME

See Also:
  Constant Field Values

### INTERSECTION

    static final int INTERSECTION

See Also:
  Constant Field Values

### INTERSECTION_NAME

    static final String INTERSECTION_NAME

See Also:
  Constant Field Values

### UNION

    static final int UNION

See Also:
  Constant Field Values

### UNION_NAME

    static final String UNION_NAME

See Also:
  Constant Field Values

### AT

    static final int AT

See Also:
  Constant Field Values

### AT_NAME

    static final String AT_NAME

See Also:
  Constant Field Values

### FIRST

    static final int FIRST

See Also:
  Constant Field Values

### FIRST_NAME

    static final String FIRST_NAME

See Also:
  Constant Field Values

### INDEX_OF

    static final int INDEX_OF

See Also:
  Constant Field Values

### INDEX_OF_NAME

    static final String INDEX_OF_NAME

See Also:
  Constant Field Values

### INSERT_AT

    static final int INSERT_AT

See Also:
  Constant Field Values

### INSERT_AT_NAME

    static final String INSERT_AT_NAME

See Also:
  Constant Field Values

### LAST

    static final int LAST

See Also:
  Constant Field Values

### LAST_NAME

    static final String LAST_NAME

See Also:
  Constant Field Values

### PREPEND

    static final int PREPEND

See Also:
  Constant Field Values

### PREPEND_NAME

    static final String PREPEND_NAME

See Also:
  Constant Field Values

### SUB_SEQUENCE

    static final int SUB_SEQUENCE

See Also:
  Constant Field Values

### SUB_SEQUENCE_NAME

    static final String SUB_SEQUENCE_NAME

See Also:
  Constant Field Values

### APPEND

    static final int APPEND

See Also:
  Constant Field Values

### APPEND_NAME

    static final String APPEND_NAME

See Also:
  Constant Field Values

### SUB_ORDERED_SET

    static final int SUB_ORDERED_SET

See Also:
  Constant Field Values

### SUB_ORDERED_SET_NAME

    static final String SUB_ORDERED_SET_NAME

See Also:
  Constant Field Values

### SYMMETRIC_DIFFERENCE

    static final int SYMMETRIC_DIFFERENCE

See Also:
  Constant Field Values

### SYMMETRIC_DIFFERENCE_NAME

    static final String SYMMETRIC_DIFFERENCE_NAME

See Also:
  Constant Field Values

### EXISTS

    static final int EXISTS

See Also:
  Constant Field Values

### EXISTS_NAME

    static final String EXISTS_NAME

See Also:
  Constant Field Values

### FOR_ALL

    static final int FOR_ALL

See Also:
  Constant Field Values

### FOR_ALL_NAME

    static final String FOR_ALL_NAME

See Also:
  Constant Field Values

### IS_UNIQUE

    static final int IS_UNIQUE

See Also:
  Constant Field Values

### IS_UNIQUE_NAME

    static final String IS_UNIQUE_NAME

See Also:
  Constant Field Values

### ONE

    static final int ONE

See Also:
  Constant Field Values

### ONE_NAME

    static final String ONE_NAME

See Also:
  Constant Field Values

### ANY

    static final int ANY

See Also:
  Constant Field Values

### ANY_NAME

    static final String ANY_NAME

See Also:
  Constant Field Values

### COLLECT

    static final int COLLECT

See Also:
  Constant Field Values

### COLLECT_NAME

    static final String COLLECT_NAME

See Also:
  Constant Field Values

### COLLECT_NESTED

    static final int COLLECT_NESTED

See Also:
  Constant Field Values

### COLLECT_NESTED_NAME

    static final String COLLECT_NESTED_NAME

See Also:
  Constant Field Values

### CLOSURE

    static final int CLOSURE

See Also:
  Constant Field Values

### CLOSURE_NAME

    static final String CLOSURE_NAME

See Also:
  Constant Field Values

### SELECT

    static final int SELECT

See Also:
  Constant Field Values

### SELECT_NAME

    static final String SELECT_NAME

See Also:
  Constant Field Values

### REJECT

    static final int REJECT

See Also:
  Constant Field Values

### REJECT_NAME

    static final String REJECT_NAME

See Also:
  Constant Field Values

### SORTED_BY

    static final int SORTED_BY

See Also:
  Constant Field Values

### SORTED_BY_NAME

    static final String SORTED_BY_NAME

See Also:
  Constant Field Values

Method Detail

### getName

    String getName()

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

### oclOperations

    EList<O> oclOperations()

  If the meaning of the 'Operations' reference list isn't clear, there really should be more of a description here...

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.